﻿@*<table border="0" cellpadding="0" cellspacing="0">
    <tr>    
        <td style="padding-right:4px; padding-bottom:8px;">Order No</td>
        <td style="padding-right:10px; padding-bottom:8px;">  
        @Html.DevExpress().TextBox(
        setting =>
        {
            setting.Name = "txtOrderNo";
            setting.ControlStyle.CssClass = "Label";
            setting.Width = new System.Web.UI.WebControls.Unit(100);
            setting.Properties.Style.BackColor = DXColor.Gray;
            setting.ReadOnly = true;
        }).Bind(ViewData["OrderNoHeader"]).GetHtml()
        </td>
        <td style="padding-right:4px; padding-bottom:8px;">Dock Code <b style="color:Red;">*</b></td>
        <td style="padding-right:10px; padding-bottom:8px;">  
             @Html.Common().DevExpress().GridLookup(
                    s =>
                    {
                        s.Name = "grlDockCode";
                        s.GridProperties.KeyFieldName = "DockCode";
                        s.Width = 100;
                        s.GridProperties.CallbackRouteValues = new { Controller = "EmergencyOrderCreation", Action = "DockCodePartial" };
                        s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                        s.GridProperties.Columns.Add(c =>
                        {
                            c.Name = "DockCode";
                            c.FieldName = "DockCode";
                            c.Caption = "Dock Code";
                            c.Width = 100;
                            c.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                        });
                        s.GridProperties.Columns.Add(c =>
                        {
                            c.Name = "DockName";
                            c.FieldName = "DockName";
                            c.Caption = "Dock Name";
                        });
                    }
            ).Bind(ViewData["DockCode"]).GetHtml()
            @Html.DevExpress().TextBox(
            setting =>
            {
                setting.Name = "txtDockCode";
                setting.ControlStyle.CssClass = "Label";
                setting.Width = new System.Web.UI.WebControls.Unit(100);
            }).Bind(ViewData["DockCodeHeader"]).GetHtml()
        </td>
        <td style="padding-right:4px; padding-bottom:8px;">Arrival Time <b style="color:Red;">*</b></td>
        <td style="padding-bottom:8px;">  
            @Html.DevExpress().DateEdit(
                settings =>
                {
                    settings.Name = "dtArrivalTime";
                    settings.Width = 100;
                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                }
            ).Bind(ViewData["ArrivalTimeHeader"]).GetHtml()
        </td>
    </tr>
    <tr>
        <td style="padding-right:4px; vertical-align:middle">Supplier <b style="color:Red;">*</b></td>
        <td style="padding-right:10px;">  
            @Html.Common().DevExpress().GridLookup(
            s =>
            {
                s.Name = "grlSupplierCode";
                s.GridProperties.KeyFieldName = "SupplierCode";
                s.Width = 100;
                s.GridProperties.CallbackRouteValues = new { Controller = "EmergencyOrderCreation", Action = "CallbackSupplier" };
                s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                s.GridProperties.Columns.Add(c =>
                {
                    c.Name = "SupplierCode";
                    c.FieldName = "SupplierCode";
                    c.Caption = "Supplier Code";
                    c.Width = 100;
                    c.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                });
                s.GridProperties.Columns.Add(c =>
                {
                    c.Name = "SupplierName";
                    c.FieldName = "SupplierName";
                    c.Caption = "Supplier Name";
                });
            }).Bind(ViewData["SupplierCode"]).GetHtml()
            @Html.DevExpress().TextBox(
            setting =>
            {
                setting.Name = "txtSupplierCode";
                setting.ControlStyle.CssClass = "Label";
                setting.Width = new System.Web.UI.WebControls.Unit(100);
            }).Bind(ViewData["SupplierCodeHeader"]).GetHtml()
        </td>
        <td style="padding-right:4px; vertical-align:middle">Supplier Plant <b style="color:Red;">*</b></td>
        <td style="padding-right:10px;">  
        @Html.DevExpress().TextBox(
        setting =>
        {
            setting.Name = "txtSupplierPlant";
            setting.ControlStyle.CssClass = "Label";
            setting.Width = new System.Web.UI.WebControls.Unit(100);
        }).Bind(ViewData["SupplierPlantHeader"]).GetHtml()
        </td>        
    </tr>
    <tr>
        <td></td>
        <td></td>
        <td></td>
        <td></td>
        <td></td>
        <td align="right">
            @Html.DevExpress().Button(
            setting =>
            {
                setting.Name = "btnSaveHeader";
                setting.Text = "Save";
                setting.ClientSideEvents.Click = "BeginCallbackSaveHeader";
                //setting.ClientVisible = false;
                setting.EncodeHtml = false;
                setting.UseSubmitBehavior = true;
                //setting.ClientSideEvents.Click = "SubmitRegAll";
                setting.Width = 80;
            }
            ).GetHtml()        
        </td>
    </tr>
    <tr>
        <td style="padding-right:4px; vertical-align:middle">Upload File</td>
        <td style="padding-right:10px;" colspan="3">
            <table cellpadding="0" cellspacing="0">
                <tr><td height="8px"></td><td></td></tr>
                <tr>
                    <td>
                        @Html.DevExpress().UploadControl(
                            setting =>
                            {
                                setting.Name = "Upload";
                                setting.AddButton.Text = "Browse";
                                setting.Width = 241;
                                //setting.Enabled = false;
                            }).GetHtml()
                    </td>
                    <td style="padding-left:5px;">
                        @Html.DevExpress().Button(
                            setting =>
                            {
                                setting.EncodeHtml = false;
                                setting.Name = "btnUpload";
                                setting.Text = "Upload";
                                setting.UseSubmitBehavior = true;
                                setting.ClientSideEvents.Click = "BeginCallbackUpload";
                                setting.ClientEnabled = false;
                                //setting.RouteValues = new { Controller = "EmergencyOrderCreation", Action = "UploadAction"};                                
                                setting.Width = 80;
                            }).GetHtml()
                    </td>
                </tr>
            </table>            
        </td>
    </tr>
    <tr>
        <td>&nbsp;</td>
    </tr>
    <tr>
        <td></td>
        <td style="vertical-align:middle">Download template
            @Html.DevExpress().HyperLink(
            setting =>
            {
                setting.Properties.Text = "here";
                setting.ControlStyle.Font.Underline = true;
            }).GetHtml()
        </td>
    </tr>    
</table>
<br />
<table width="100%" border="0" cellpadding="0" cellspacing="0">
    <tr>
       @* <td align="left" width="83px">
            @Html.DevExpress().Button(
            setting =>
            {
                setting.Name = "btnNew";
                setting.Text = "New";
                setting.ClientSideEvents.Click = "function(s, e){ popupNew.Show(); }";//"function(s, e){ grdData.AddNewRow(); }";
                setting.Width = 80;
            }
            ).GetHtml()
        </td>
        <td align="left">
            @Html.DevExpress().Button(
                    setting =>
                    {
                        setting.Name = "btnDelete";
                        setting.Text = "Delete";
                        setting.Width = 80;
                        setting.ClientSideEvents.Click = "function(s, e){ popupDelete.Show(); }";
                        //setting.ClientSideEvents.Click = "function(s,e) {e.processOnServer = confirm('Are sure to delete data?');}";
                    }
                ).GetHtml()
        </td>*@
        @*<td align="right" width="20px">
            @Html.DevExpress().Button(
                    setting =>
                    {
                        setting.Name = "btnSubmit";
                        setting.Text = "Submit";
                        setting.ClientSideEvents.Click = "function(s, e){ popupSubmit.Show(); }";
                        setting.Width = 80;
                        setting.ClientEnabled = false;
                    }
                ).GetHtml()
        </td>       
    </tr>
</table>*@
<table cellpadding="0" cellspacing="0">
    <tr>
        <td style="padding-right:4px; padding-bottom:8px;">Order No <b style="color:Red;">*</b></td>
        <td style="padding-right:10px; padding-bottom:8px;">  
        @Html.DevExpress().TextBox(
            setting =>
            {
                setting.Name = "txtOrderNo";
                setting.ControlStyle.CssClass = "Label";
                setting.Width = new System.Web.UI.WebControls.Unit(100);
                setting.ReadOnly = true;
            }
        ).Bind(ViewData["OrderNoHeader"]).GetHtml()
        </td>
        <td style="padding-right:4px; padding-bottom:8px;">Dock Code <b style="color:Red;">*</b></td>
        <td style="padding-right:10px; padding-bottom:8px;">  
        @Html.Common().DevExpress().GridLookup(
            s =>
            {
                s.Name = "grlDockCode";
                s.GridProperties.KeyFieldName = "DockCode";
                s.Width = 100;
                s.GridProperties.CallbackRouteValues = new { Controller = "EmergencyOrderCreationTVEST", Action = "DockCodePartial" };
                s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                s.GridProperties.Columns.Add(c =>
                {
                    c.Name = "DockCode";
                    c.FieldName = "DockCode";
                    c.Caption = "Dock Code";
                    c.Width = 100;
                    c.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                });
                s.GridProperties.Columns.Add(c =>
                {
                    c.Name = "DockName";
                    c.FieldName = "DockName";
                    c.Caption = "Dock Name";
                });
            }
        ).Bind(ViewData["DockCode"]).GetHtml()
        @*@Html.DevExpress().TextBox(
            setting =>
            {
                setting.Name = "txtDockCode";
                setting.ControlStyle.CssClass = "Label";
                setting.Width = new System.Web.UI.WebControls.Unit(100);
        }).Bind(ViewData["DockCodeHeader"]).GetHtml()*@
        </td>
        <td style="padding-right:4px; padding-bottom:8px;">Arrival Time <b style="color:Red;">*</b></td>
        <td style="padding-bottom:8px;" nowrap="nowrap"> 
            <table border="0" cellpadding="0" cellspacing="0">
                <tr>
                    <td>
                    @Html.DevExpress().DateEdit(
                        settings =>
                        {
                            settings.Name = "dtArrivalDate";
                            settings.Width = 100;
                            settings.Properties.EditFormatString = "dd.MM.yyyy";
                            settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                        }
                    ).Bind(ViewData["ArrivalTimeHeader"]).GetHtml()
                    </td>
                    <td>
                    @Html.DevExpress().TimeEdit(
                        settings =>
                        {
                            settings.Name = "dtArrivalTime";
                            settings.Width = 60;
                            settings.Properties.EditFormatString = "HH:mm";
                            settings.Properties.DisplayFormatString = "HH:mm";
                        }
                    ).Bind(ViewData["ArrivalTimeHeader"]).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td style="padding-right:4px; vertical-align:middle; padding-bottom:8px;">Supplier <b style="color:Red;">*</b></td>
        <td style="padding-right:10px; padding-bottom:8px;">  
        @Html.Common().DevExpress().GridLookup(
            setting =>
            {
                setting.Name = "grlSupplierCode";
                setting.GridProperties.KeyFieldName = "SupplierCode";
                setting.Width = 100;
                setting.GridProperties.CallbackRouteValues = new { Controller = "EmergencyOrderCreationTVEST", Action = "CallbackSupplier" };
                setting.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                setting.GridProperties.Columns.Add(c =>
                {
                    c.Name = "SupplierCode";
                    c.FieldName = "SupplierCode";
                    c.Caption = "Supplier Plant";
                    c.Width = 100;
                    c.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                });
                setting.GridProperties.Columns.Add(c =>
                {
                    c.Name = "SupplierName";
                    c.FieldName = "SupplierName";
                    c.Caption = "Supplier Name";
                });
            }
        ).Bind(ViewData["SupplierCode"]).GetHtml()
        </td>
        @*<td style="padding-right:4px; vertical-align:middle padding-bottom:8px;">Supplier Plant <b style="color:Red;">*</b></td>
        <td style="padding-right:10px; padding-bottom:8px;">  
            @Html.DevExpress().TextBox(
            setting =>
            {
                setting.Name = "txtSupplierPlant";
                setting.ControlStyle.CssClass = "Label";
                setting.Width = new System.Web.UI.WebControls.Unit(100);
                setting.ReadOnly = true;
            }).Bind(ViewData["SupplierPlantHeader"]).GetHtml()
        </td>*@        
    </tr>
    <tr>
        <td style="padding-right:4px; padding-bottom:8px; vertical-align:middle">Upload File</td>
        <td colspan="5" style="padding-bottom:8px;">
            @Html.DevExpress().UploadControl(
                setting =>
                {
                    setting.Name = "Upload";
                    setting.AddButton.Text = "Browse";
                    setting.Width = 282;
                }
            ).GetHtml()   
        </td>
    </tr>
    <tr>
        <td style="padding-right:4px; padding-bottom:8px; vertical-align:middle"></td>
        <td colspan="3" style="padding-right:10px; text-align:right">
            Download template
            @Html.DevExpress().HyperLink(
            setting =>
            {
                setting.Properties.Text = "here";
                setting.ControlStyle.Font.Underline = true;
            }).GetHtml()
        </td>
        <td style="text-align:right"></td>
    </tr>
    <tr>
        <td align="left" colspan="3">
            <table cellpadding="0" cellspacing="0">
                <tr>
                    <td style="padding-right:10px;">            
                        @Html.DevExpress().Button(
                            setting =>
                            {
                                setting.Name = "btnNew1";
                                setting.Text = "New";
                                setting.ClientSideEvents.Click = "function(s, e){ popupNew.Show(); }";//"function(s, e){ grdData.AddNewRow(); }";
                                setting.Width = 80;
                            }
                        ).GetHtml()
                    </td>
                    <td style="padding-right:10px;">                                
                        @Html.DevExpress().Button(
                            setting =>
                            {
                                setting.Name = "btnDelete1";
                                setting.Text = "Delete";
                                setting.Width = 80;
                                setting.ClientSideEvents.Click = "function(s, e){ popupDelete.Show(); }";
                            }
                        ).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
        <td align="right" colspan="3">
        <table cellpadding="0" cellspacing="0">
            <tr>
                <td style="padding-right:10px;">
                @Html.DevExpress().Button(
                    setting =>
                    {
                        setting.Name = "btnSubmit";
                        setting.Text = "Submit";
                        setting.ClientSideEvents.Click = "function(s, e){ popupSubmit.Show(); }";
                        setting.Width = 80;
                    }
                ).GetHtml()
                </td>
                <td>
                @Html.DevExpress().Button(
                    setting =>
                    {
                        setting.Name = "btnCancel";
                        setting.Text = "Cancel";
                        setting.ClientSideEvents.Click = "BeginCallbackSaveHeader";
                        setting.EncodeHtml = false;
                        setting.UseSubmitBehavior = true;
                        setting.Width = 80;
                    }
                ).GetHtml()
                </td>
            </tr>
        </table>
        </td>
    </tr>    
</table>